
local meta = FindMetaTable( "Entity" );

local DoorTypes =
{
	
	"func_door",
	"func_door_rotating",
	"prop_door_rotating",
	--"prop_vehicle_jeep",
	--"prop_vehicle_jeep_old",
	--"prop_vehicle_airboat"

}


function meta:IsDoor()

	for k, v in pairs( DoorTypes ) do
	
		if( self:GetClass() == v ) then
			return true;
		end
	
	end
	
	return false;

end

function meta:IsItem()

	if( self:GetTable().ItemData ) then
	
		return true;
	
	end
	
	return false;

end

function meta:GetItemClass()

	if( self:GetTable().ItemData ) then
	
		return self:GetTable().ItemData.ID;
	
	end	

	return "";

end
